Create a message with inline files Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/conversation/{conversation_uuid}/messages/inline

Used to create a message and upload files at the same time.

Path parameters

  • conversation_uuid string Required
application/json

Body

  • contents string

    Contents of the message.

  • files array[string(binary)] Required

    An array of files. This request should be sent with a Content-Type of multipart/form-data.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • deleted_at string

      The timestamp of when the resource was deleted.

    • contents string

      The message contents

    • edited boolean

      Whether the message has been edited or not

    • files array[object]

      Message file attachments

      Hide files attributes Show files attributes object
      • uuid string
      • created_at string
      • original_created_at string
      • updated_at string
      • uploaded_at string
      • status string
      • filename string
      • name string
      • extension string
      • type string
      • size string
      • path string
      • last_modified string
      • progress string
      • download_url string
      • folder_name string
      • folder string
      • documentable_type string
      • documentable string
      • navigator object
        Hide navigator attributes Show navigator attributes object
        • model_type string
        • model_uuid string
      • firm string
      • account string
      • tags string
    • author object

      Message author

      Hide author attributes Show author attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
    • user object

      Message user

      Hide user attributes Show user attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • current_account string
      • current_login string
      • two_factor_enabled boolean
      • two_factor_type string
      • otp_confirmed_at string
      • otp_pending boolean
      • sms_two_factor_enabled boolean
      • two_factor_mobile boolean
      • two_factor_mobile_meta object
        Hide two_factor_mobile_meta attributes Show two_factor_mobile_meta attributes object
        • country string
        • formatted string
      • current_time_entry string
      • session_expires_at string
      • remember_token_expires_at boolean
      • should_auto_save_notes boolean
    • reactions array[object]

      Array of reactions to the message

      Hide reactions attributes Show reactions attributes object
      • uuid string
      • created_at string
      • updated_at string
      • account_uuid string
      • account_name string
      • reaction string
POST /api/v1/conversation/{conversation_uuid}/messages/inline
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/conversation/6ff8f7f6-1eb3-3525-be4a-3932c805afed/messages/inline' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"contents":"Hello, welcome to Plannr.","files":["file-contents"]}'
Request examples
{
  "contents": "Hello, welcome to Plannr.",
  "files": [
    "file-contents"
  ]
}
Response examples (200)
{
  "uuid": "edb1fe7e-67aa-44b4-bce1-2c6427c448d2",
  "created_at": "2026-06-18T16:11:34+01:00",
  "updated_at": "2026-06-18T16:11:34+01:00",
  "deleted_at": "2026-06-18T16:11:34+01:00",
  "contents": "Welcome to Plannr!",
  "edited": true,
  "files": [
    {
      "uuid": "2d70d863-7b41-412e-b0d3-4a694ea87721",
      "created_at": "2026-06-18T16:11:34+01:00",
      "original_created_at": "2026-06-18T16:11:34+01:00",
      "updated_at": "2026-06-18T16:11:34+01:00",
      "uploaded_at": "2026-06-18T16:11:34+01:00",
      "status": "uploaded",
      "filename": "Welcome to Plannr.pdf",
      "name": "Welcome to Plannr",
      "extension": "pdf",
      "type": "type",
      "size": "21691783",
      "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
      "last_modified": "2026-06-18T16:11:34+01:00",
      "progress": "100",
      "download_url": "https://api.plannrcrm.com/file/465b06bf-9d3e-4bd7-bf2b-35c64cb4073e/download",
      "folder_name": "folder 2",
      "folder": "App\\Http\\Resources\\FolderResource",
      "documentable_type": "account",
      "documentable": "Object",
      "navigator": {
        "model_type": "account",
        "model_uuid": "41861b73-f69c-489c-ad67-137b9ad9d444"
      },
      "firm": "App\\Http\\Resources\\FirmResource",
      "account": "App\\Http\\Resources\\MinimalAccountResource",
      "tags": "App\\Http\\Resources\\TagResource"
    }
  ],
  "author": {
    "uuid": "deffaa9b-cee8-47f0-bc2c-0da912f756cb",
    "created_at": "2026-06-18T16:11:34+01:00",
    "updated_at": "2026-06-18T16:11:34+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-18T16:11:34+01:00",
    "next_review_date": "2026-06-18T16:11:34+01:00",
    "previous_review_date": "2026-06-18T16:11:34+01:00",
    "anniversary_review_date": "2026-06-18T16:11:34+01:00",
    "terms_of_business_at": "2026-06-18T16:11:34+01:00",
    "client_agreement_at": "2026-06-18T16:11:34+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-18",
    "last_interaction_at": "2026-06-18 16:11:34",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "user": {
    "uuid": "022a95b7-7f43-4665-8674-5e46c21b141c",
    "created_at": "2026-06-18T16:11:34+01:00",
    "updated_at": "2026-06-18T16:11:34+01:00",
    "type": "standard",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "current_account": "App\\Http\\Resources\\AccountResource",
    "current_login": "App\\Http\\Resources\\LoginResource",
    "two_factor_enabled": true,
    "two_factor_type": "sms",
    "otp_confirmed_at": "2026-06-18T16:11:34+01:00",
    "otp_pending": false,
    "sms_two_factor_enabled": true,
    "two_factor_mobile": true,
    "two_factor_mobile_meta": {
      "country": "GB",
      "formatted": "0333 090 3630"
    },
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "session_expires_at": "2026-06-18T16:11:34+01:00",
    "remember_token_expires_at": true,
    "should_auto_save_notes": true
  },
  "reactions": [
    {
      "uuid": "7644cbf0-225b-4ce3-90db-3aa10391c739",
      "created_at": "2026-06-18T16:11:34+01:00",
      "updated_at": "2026-06-18T16:11:34+01:00",
      "account_uuid": "27e85c2d-a4e4-47c2-b850-f37f3819492c",
      "account_name": "Gareth Thompson",
      "reaction": "like"
    }
  ]
}